Skip to main content
POST
/
emails
/
validate
Validate an email address
curl --request POST \
  --url https://api.sendkit.dev/emails/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "user@example.com"
}
'
import requests

url = "https://api.sendkit.dev/emails/validate"

payload = { "email": "user@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'user@example.com'})
};

fetch('https://api.sendkit.dev/emails/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "email": "jsmith@example.com",
  "is_valid": true,
  "evaluations": {
    "has_valid_syntax": true,
    "has_valid_dns": true,
    "mailbox_exists": true,
    "is_role_address": true,
    "is_disposable": true,
    "is_random_input": true
  },
  "should_block": true,
  "validated_at": "2026-03-03 10:00:00"
}
{
"name": "validation_error",
"message": "The from address domain is not verified."
}
{
"message": "Insufficient validation credits."
}
{
"name": "validation_error",
"message": "The from address domain is not verified."
}
{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Body

application/json
email
string<email>
required

The email address to validate.

Example:

"user@example.com"

Response

Validation result

email
string<email>

The email address that was validated.

is_valid
boolean

Whether the email address is considered valid.

evaluations
object

Detailed evaluation results.

should_block
boolean

Whether this email should be blocked from receiving emails.

block_reason
enum<string> | null

The reason the email should be blocked, if applicable.

Available options:
invalid_syntax,
invalid,
disposable_email,
null
validated_at
string

When the validation was performed.

Example:

"2026-03-03 10:00:00"